import { request } from '@/utils/request'



//新增
export function addDrawing(data:any) {
    return request({ 
        url: '/biz/drawingFile', 
        method: 'post',
        data
    })
}

//编辑
export function editDrawing(data:any) {
    return request({ 
        url: '/biz/drawingFile', 
        method: 'put',
        data
    })
}

//列表
export function drawinglist(params:any) {
    return request({ 
        url: `/biz/ncCode/page`, 
        method: 'get',
        params
    })
}

//下发
export function drawingIssue(data:any) {
    return request({ 
        url: 'biz/drawingFile/issue', 
        method: 'post',
        data
    })
}

//删除
export function deleteDrawing(ids:any) {
    return request({ 
        url: `biz/drawingFile/${ids}`, 
        method: 'delete'
    })
}
